org.apache.fop.util

## Interface XMLConstants

All Known Subinterfaces:
  IFConstants

All Known Implementing Classes:
  IFParser, IFSerializer, XMLUtil

    public interface XMLConstants

A collection of constants for XML handling.

### Field Summary

Fields
`static String` `CDATA` "CDATA" constant
`static org.apache.xmlgraphics.util.QName` `XLINK_HREF` xlink:href attribute
`static String` `XLINK_NAMESPACE` XML namespace for XLink
`static String` `XLINK_PREFIX` Namespace prefix for XLink
`static String` `XML_NAMESPACE` XML namespace URI
`static String` `XML_PREFIX` XML namespace prefix
`static org.apache.xmlgraphics.util.QName` `XML_SPACE` xml:space attribute
`static String` `XMLNS_NAMESPACE_URI` XMLNS namespace URI
`static String` `XMLNS_PREFIX` XMLNS namespace prefix

### Field Detail

#### CDATA

    static final String CDATA

"CDATA" constant

See Also:
  Constant Field Values

#### XML_PREFIX

    static final String XML_PREFIX

XML namespace prefix

See Also:
  Constant Field Values

#### XML_NAMESPACE

    static final String XML_NAMESPACE

XML namespace URI

See Also:
  Constant Field Values

#### XML_SPACE

    static final org.apache.xmlgraphics.util.QName XML_SPACE

xml:space attribute

#### XMLNS_PREFIX

    static final String XMLNS_PREFIX

XMLNS namespace prefix

See Also:
  Constant Field Values

#### XMLNS_NAMESPACE_URI

    static final String XMLNS_NAMESPACE_URI

XMLNS namespace URI

See Also:
  Constant Field Values

#### XLINK_PREFIX

    static final String XLINK_PREFIX

Namespace prefix for XLink

See Also:
  Constant Field Values

#### XLINK_NAMESPACE

    static final String XLINK_NAMESPACE

XML namespace for XLink

See Also:
  Constant Field Values

#### XLINK_HREF

    static final org.apache.xmlgraphics.util.QName XLINK_HREF

xlink:href attribute